aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGuy Harris <guy@alum.mit.edu>2018-08-21 02:37:40 -0700
committerGuy Harris <guy@alum.mit.edu>2018-08-21 09:38:24 +0000
commitea515c5f2da5995c37dd7fdc9d8a81aa2515c847 (patch)
tree561f233b3dbc3baca4fdaa71354dff76702b8aec
parent5673a58bfaf8a580b8868f14d3058dbbbac6f985 (diff)
Don't assume Bash.
At least on my OpenBSD 6.3 VM, there's no Bash installed; just use /bin/sh. Fix two places that use csh-style ">& /dev/null" to use "> /dev/null 2>&1" instead. Change-Id: I48656c47e89b3ad09f3c2d9e3c90dfad7afabb71 Reviewed-on: https://code.wireshark.org/review/29214 Reviewed-by: Guy Harris <guy@alum.mit.edu>
-rwxr-xr-xtools/bsd-setup.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/tools/bsd-setup.sh b/tools/bsd-setup.sh
index d280d3f0bf..1b8d5e83e8 100755
--- a/tools/bsd-setup.sh
+++ b/tools/bsd-setup.sh
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/bin/sh
# Setup development environment on BSD-like platforms.
#
# Tested on: FreeBSD, OpenBSD, NetBSD.
@@ -96,9 +96,9 @@ add_package() {
# an *exact* search fails, as that requires that
# the package name include the version number.
#
- $PM_SEARCH -g "$pkgname*" >& /dev/null || return 1
+ $PM_SEARCH -g "$pkgname*" > /dev/null 2>&1 || return 1
else
- $PM_SEARCH "$pkgname" >& /dev/null || return 1
+ $PM_SEARCH "$pkgname" > /dev/null 2>&1 || return 1
fi
# package is found, append it to list